import { AlgorithmType } from '../application/types/algorithm.types';

// All properties that a Match has
export interface MatchProps {
  adId: string;
}

// Properties that are needed for a Match creation
export interface CreateMatchProps {
  adId: string;
}

export interface DefaultMatchQueryProps {
  driver: boolean;
  passenger: boolean;
  marginDuration: number;
  strict: boolean;
  seatsProposed: number;
  seatsRequested: number;
  algorithmType?: AlgorithmType;
  remoteness?: number;
  useProportion?: boolean;
  proportion?: number;
  useAzimuth?: boolean;
  azimuthMargin?: number;
  maxDetourDistanceRatio?: number;
  maxDetourDurationRatio?: number;
}
