import { Waypoint } from '@modules/geography/core/domain/route.types';
import { Role } from '../../domain/ad.types';

export enum AlgorithmType {
  PASSENGER_ORIENTED = 'PASSENGER_ORIENTED',
}

/**
 * A candidate is a potential match
 */
export type Candidate = {
  ad: Ad;
  role: Role;
  driverWaypoints: Waypoint[];
  crewWaypoints: Waypoint[];
};

export type Ad = {
  id: string;
};
